NewArrayTree (Java SE 26 & JDK 26)
Description: declaration: module: jdk.compiler, package: com.sun.source.tree, interface: NewArrayTree
Keywords: com.sun.source.tree.NewArrayTree interface

# Interface NewArrayTree

All Superinterfaces:
  `ExpressionTree, Tree`

public interface NewArrayTree extends ExpressionTree
A tree node for an expression to create a new instance of an array. For example:

      new type dimensions initializers

      new type dimensions [ ] initializers

See Java Language Specification:
  15.10.1 Array Creation Expressions
Since:
  1.6

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface Tree

  `Tree.Kind`
  Modifier and Type
  Interface
  Description
  `static enum`
  `Tree.Kind`
  Enumerates all kinds of trees.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<? extends AnnotationTree>`
  `getAnnotations()`
  Returns the annotations on the base type.
  `List<? extends List<? extends AnnotationTree>>`
  `getDimAnnotations()`
  Returns the annotations on each of the dimension expressions.
  `List<? extends ExpressionTree>`
  `getDimensions()`
  Returns the dimension expressions for the type.
  `List<? extends ExpressionTree>`
  `getInitializers()`
  Returns the initializer expressions.
  `Tree`
  `getType()`
  Returns the base type of the expression.

  ### Methods declared in interface Tree

  `accept, getKind`
  Modifier and Type
  Method
  Description
  `<R,D> R`
  `accept(TreeVisitor<R,D> visitor, D data)`
  Accept method used to implement the visitor pattern.
  `Tree.Kind`
  `getKind()`
  Returns the kind of this tree.

- ## Method Details

  - ### getType

    Tree getType()
    Returns the base type of the expression. May be `null` for an array initializer expression.
    Returns:
      the base type

  - ### getDimensions

    List<? extends ExpressionTree> getDimensions()
    Returns the dimension expressions for the type.
    Returns:
      the dimension expressions

  - ### getInitializers

    List<? extends ExpressionTree> getInitializers()
    Returns the initializer expressions.
    Returns:
      the initializer expressions

  - ### getAnnotations

    List<? extends AnnotationTree> getAnnotations()
    Returns the annotations on the base type.
    Returns:
      the annotations

  - ### getDimAnnotations

    List<? extends List<? extends AnnotationTree>> getDimAnnotations()
    Returns the annotations on each of the dimension expressions.
    Returns:
      the annotations on the dimensions expressions